%wa_findInstrument - get the wa1500 serial instrument
%
% wa1500 = wa_findInstrument() returns the wa1500 serial instrument if it
% exists, and creates it if it doesn't.
%
% Todd Karin
% 11/18/2013

function wa1500 = wa_findInstrument()

% Find all instruments with the tag wa1500 (there should only be one).
wa1500 = instrfind('tag','wa1500');

% If not initialized,
if isempty(wa1500)
    [wa1500, ret] = wa_initialize();
end

