%wa_getReading - get the text reading from wavemeter
%
% info = wa_getReading() gets the text reading from the wavemeter. This is
% processed to get the wavelength.
%
% Todd Karin
% 04/15/2015

function info = wa_getReading(varargin)

% Depending on input, either find the instrument or use the one given.
switch nargin
    case 0
        wa1500 = wa_findInstrument();
    case 1
        wa1500 = varargin{1};
end

% Get Reading
fprintf(wa1500, '@Q');
response = fscanf(wa1500);
info = textscan(response, '%11c %4c %4c', 'delimiter', ',');
    