%wa_resetDeviation - Set the setpoint equal to current wavelength
%
% wa_resetDeviation() sets the wavelength deviation of a WA-1500
% wavemeter to the current reading in nm.
%
% This function is helpful so that the analog output does not saturate
% either high or low. 
%
% EXAMPLE
%
%   >> wa_resetDeviation()
%
% See Also: wa1500, initWaveDAQ
%
% Todd Karin
% 08/22/2012

function setPoint = wa_resetDeviation()

wa1500 = wa_findInstrument();

% Read the wavelength value to be set.
setPoint = readWavelength(wa1500);
setPointStr = num2str(setPoint);

% Add a set point button press before and an enter button afterwards
wa_command(['S' setPointStr 'E'],wa1500);


