%wa_testCommunication - test communcication to WA-1500 wavemeter
%
% [wa1500, success] = wa_testCommunication() test communications to the
% wavemeter. 
% 
%
% 04/15/2015
% Todd Karin

function [wa1500, success] = wa_testCommunication()

% remove all serial instruments from memory to clear any
% open resources conflicts
delete(instrfind) 

% build matlab instrument to serial port COM1
% then open channel, put wavemeter into query mode so it doesn't 
% continue to fill buffer (single reading mode)
% then flush buffer and take a live measurement

wa1500 = serial('COM1', 'Term', 'CR/LF');
query = '@Q';
fopen(wa1500);
fprintf(wa1500, query);
flushinput(wa1500);

set(wa1500,'Timeout',1);

info = getReading(wa1500);

% Catch if the wavemeter is unresponsive or no communication received.
if isempty(info{1})==1 | info{1}=='0'
    success = 0;
else
    success = 1;
end

        
