%wa_waitForSettle - wait for laser wavelength to settle
%
% wa_waitForSettle(setWavelength) iteratively reads the wavemeter until
% the wavelength is within 1 nm of setWavlength
%
% 04/15/2015
% Todd Karin


function wa_waitForSettle(setWavelength,varargin)

switch nargin
    case 1
        settlingDelta = 1;
    case 2
        settlingDelta = varargin{1};
    otherwise
        error('number of args in not understood')
end

keepGoing = 1;
j=1;
while keepGoing
    wavelength(j) = wa_readWavelength();
    pause(.5)
    
    if abs(wavelength(j)-setWavelength)<settlingDelta
        keepGoing = 0;
    end
    
    if j>3 && std(wavelength(end-2:end))<settlingDelta
        keepGoing = 0;
    end
   disp(num2str(wavelength(j)))
    j=j+1;
end